<%@ page import="java.util.*,
                 org.codehaus.aspectwerkz.SystemLoader,
                 org.codehaus.aspectwerkz.definition.*,
                 examples.j1.*,
                 javax.management.*"%>
<%@ taglib uri='WEB-INF/console_extension_taglib.tld' prefix='wl' %>
<html>
<head>
	<wl:stylesheet/>
</head>
<body>
<div class='content'>
	<h2>JMX ResponseTime service</h2>
	<hr>
	<wl:dialog>
		<%
		// look for instance of "examples.j1.ResponseTimeRuntime"
		MBeanServer mserver = JMXHelper.findMBeanServer();
		QueryExp query = Query.match(Query.classattr(), new StringValueExp("examples.j1.ResponseTimeRuntime"));
		Set objectNames = mserver.queryNames(null, query);
		for (Iterator n = objectNames.iterator(); n.hasNext();) {
			ObjectName mbean = (ObjectName)n.next();
			String signature = mbean.toString();
			signature = signature.substring(signature.indexOf("Group="), signature.indexOf(",", signature.indexOf("Group=")));
			String gkey = mbean + ".ResponseTime";
			%>
			<wl:tab name="<%= mbean.toString() %>" label="<%= signature %>">
				<font face="Tahoma">
				<br>
				<TABLE BORDER=1 CELLPADDING=1>
				<TR>
				<TD BGCOLOR="d0d0d0"><CENTER><B><FONT size=5><%= signature %></FONT></B></CENTER>
				<FONT size=2><BR><B>Type=ResponseTimeRuntime<BR>Name=<%= mbean %></B><BR></FONT>
				<FONT size=2>Attribute = ResponseTime<BR></FONT>
				<APPLET code="weblogic.management.console.applets.GraphApplet" codebase="/console/domain/Server.jsp" archive="/console/applets.jar"
					name="<%= gkey %>"
					width="800" height="600">
					<PARAM name="debug" value="true">
					<PARAM name="servlet" value="/beaop/graph.jsp">
					<PARAM name="min" value="0">
					<PARAM name="max" value="3000">
					<PARAM name="gridsize" value="10">
					<PARAM name="samplekey" value="<%= gkey %>">
					<PARAM name="type" value="percentage"><!-- inverse-percentage  rate-increase  dynamic-->
					<PARAM name="poll" value="100"></APPLET><BR>
				</TD>
				</TABLE>
				</FONT>
			</wl:tab>
		<%
		}
		%>
	</wl:dialog>
</div>
</body>
</html>

