<%@ taglib uri='WEB-INF/console_extension_taglib.tld' prefix='wl' %><%
response.setHeader("Cache-Control","no-cache"); //HTTP 1.1
response.setHeader("Pragma","no-cache"); //HTTP 1.0
response.setDateHeader ("Expires", 0); //prevents caching at the proxy server
%>
<html>
<head>
	<wl:stylesheet/>
</head>
<body>
<div class='content'>
	<h2>Weaving Services</h2>
	<hr>
	<wl:dialog>
		<wl:tab name='t1' label='eWorld Computation management'>
		<br/>
		<%
			if (request.getParameter("message") != null) {
				out.print("<small><i>"+request.getParameter("message")+"</i></small>");
			}
		%>
		<br/>
		<form>
		<table border='1' cellpadding='4' cellspacing='0' BORDERCOLOR='#608c8c' width="100%">
			<tr><td colspan=4 bgcolor='#b8cece' width="100%"><span class='column-header'>Service level</span></td></tr>
			<tr>
			  <td width="20%">Trace</td>
			  <td width="50%"><input type="text" value="execution(* eworld.service.*.*(..))" size=80 readonly=true></td>
			  <td><b><a href="action.jsp?action=activateTrace">ADD</a></b></td>
			  <td><b><a href="action.jsp?action=deactivateTrace">REMOVE</a></b></b>
			</tr>
			<tr>
			  <td width="20%">Cache</td>
			  <td width="50%"><input type="text" value="execution(* eworld.service.Computation.computeFibonacci(..))" size=80 readonly=true></td>
			  <td><b><a href="action.jsp?action=activateCache">ADD</a></b></td>
			  <td><b><a href="action.jsp?action=deactivateCache">REMOVE</a></b></b>
			</tr>
			<tr>
			  <td width="20%">JMX Response Time</td>
			  <td><input type="text" value="execution(* eworld.service.Computation.computeFibonacci(..))" size=80 readonly=true></td>
			  <td><b><a href="action.jsp?action=activateJMX">ADD</a></b></td>
			  <td><b><a href="action.jsp?action=deactivateJMX">REMOVE</a></b></b>
			</tr>
		</table>
		</form>
		<br/>
		<form>
		<table border='1' cellpadding='4' cellspacing='0' BORDERCOLOR='#608c8c' width="100%">
			<tr><td colspan=4 bgcolor='#b8cece' width="100%"><span class='column-header'>Computation level</span></td></tr>
			<tr>
			  <td width="20%">Trace</td>
			  <td width="50%"><input type="text" value="execution(* eworld.computing.*.*(..))" size=80 readonly=true></td>
			  <td><b><a href="action.jsp?action=activateTrace2">ADD</a></b></td>
			  <td><b><a href="action.jsp?action=deactivateTrace2">REMOVE</a></b></b>
			</tr>
			<tr>
			  <td width="20%">Cache</td>
			  <td width="50%"><input type="text" value="execution(* eworld.computing.Fibonacci.fibonacci(..))" size=80 readonly=true></td>
			  <td><b><a href="action.jsp?action=activateCache2">ADD</a></b></td>
			  <td><b><a href="action.jsp?action=deactivateCache2">REMOVE</a></b></b>
			</tr>
			<tr>
			  <td width="20%">JMX Response Time</td>
			  <td><input type="text" value="execution(* eworld.computing.Fibonacci.fibonacci(..))" size=80 readonly=true></td>
			  <td><b><a href="action.jsp?action=activateJMX2">ADD</a></b></td>
			  <td><b><a href="action.jsp?action=deactivateJMX2">REMOVE</a></b></b>
			</tr>
		</table>
		</form>
		</wl:tab>
		
		<wl:tab name='t2' label='AOP management'>
		</wl:tab>

	</wl:dialog>
</div>
</body>
</html>
